* {
    margin: 0;
    padding: 0;
}

/* Las secciones principales que comprenden a los videojuegos y noticias */
.Videojuegos,
.Noticias {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
}

/* Son los títulos de las secciones (Videojuegos, Trucos...) */
h2 {
    color: #0a91ab;

    width: 100%;
    font-size: 1.8rem;
    text-transform: uppercase;

    margin-top: 1%;
    margin-bottom: 1%;
}

/* Tienen un display en columna para alinear sus elementos */
.Videojuegos article {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;

    border-style: solid;
    border-color: #ff6145;

    width: 30%;
    height: 480px;
    margin-bottom: 3%;
}
.Noticias article {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;

    border-style: solid;
    border-color: #ff6145;

    width: 30%;
    margin-bottom: 3%;
}

.Videojuegos img {
    width: 100%;
    height: 190px;
}

/* La descripción de los juegos. Tienen una altura para que, en caso de tener más texto de los debido,
 este se esconda en lugar de interferir con la estructura */
.description {

    height: 25%;
    overflow: hidden;

    margin-bottom: 3%;
    padding-left: 2%;
    padding-right: 2%;
}

.caracteristicas {
    margin-bottom: 3%;
    padding-left: 2%;
    padding-right: 2%;
}


h3 {
    color: #ffc045;
    padding-left: 2%;
    padding-top: 2%;
}

/*Estos son los div que comprenden anchor de "Mas info". Sirven para hacer el flex-end al anchor*/
.Masinfo {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    width: 100%;
}

.Videojuegos a {
    margin-right: 3%;
    margin-bottom: 2%;
    padding: 2%;
    background-color: #ffc045;
}

.Videojuegos a:hover, .Noticias a:hover {
    text-decoration: underline;
}
/*_______________________________________________________*/
/* Este es el contenedor que comprende noticias y trucos */
.Contenedor {
    display: flex;
    flex-direction: row-reverse;
    margin-bottom: 1%;
}

/*____________________________________________________________*/
/* El apartado de las noticias */
.Noticias {
    width: 80%;

}


/*Tiene un display:flex para organizar los elementos en columa*/
.Noticias article {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;

    border-color: #ff6145;
    border-style: solid;

    width: 47%;
    margin-top: 1%;
    margin-right: 2%;
}

.Noticias h2 {
    text-align: center;
    /* Antes había puesto un margen general a los h2, pero el de Noticias no lo necesita */
    margin: 0%
}

/*El mismo caso con Videojuegos. En caso de que la noticia sea demasiado larga, el texto se esconderá*/
.Noticias p {
    height: 107px;
    overflow: hidden;

    margin-left: 2%;
}

.Noticias img {
    width: 100%;
    height: 190px;

    /* Tano la imagen como articulo de Noticias tienen position:relative para poder colocar uno encima del otro */
    top: 43px;
    position: relative;
}

.Noticias article a {
    /* De esta forma puede situarse encima de la imagen */
    position: relative;
    bottom: 3px;

    text-align: right;

    padding: 1%;
    width: 96%;
    margin-left: 1%;

    background-color: #ffc045;
}

/*__________________________________________________*/

/* La sección de trucos. Tiene un display:flex para organizar los elementos en forma de columna */
.trucos {
    width: 20%;

    display: flex;
    flex-direction: column;

    margin-right: 3%;
    margin-left: 2%;

}

/* Cada div contiene el título e imagen de su respectivo apartado */
.trucos div {
    display: flex;
    flex-direction: column;
    align-items: center;

    padding-right: 8%;
    margin-bottom: 10%;

    border-right-style: solid;
    border-right-color: white;
}

.trucos div h4 {
    color: #ff6145;
    font-size: 1.3rem;
    margin-bottom: 5%;
}

.trucos div img {
    width: 100%;
    height: 200px;
}
/* Hover de las imágenes */
.trucos div:hover {
    transform: scale(1.1)
}

/* __________________________________________________________________________________________________________________________ */

/* El ranking */
.Ranking h2 {
    text-align: center;
}

/* Jugadores es un div que contiene a todos los jugadores y tiene un display:flex*/
.Ranking .Jugadores {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;

    margin: 2%;
}

/* El div dentro de jugadores contiene los datos, como el avatar, nombre y estadísticas */
.Ranking .Jugadores div {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    align-items: center;

    width: 20%;
}

.Ranking img {
    border-radius: 200px;
    width: 100px;
    height: 100px;
    margin-top: 3%;
    
}

.Ranking p {
    text-align: center;
    font-size: 1.3rem;
}